import { ConfigurableModuleBuilder } from '@nestjs/common';
import { RMQBroadcastModuleOptions } from './rmq.module-interface';

export const RmqBroadcastModuleDefinition =
  new ConfigurableModuleBuilder<RMQBroadcastModuleOptions>()
    .setExtras(
      {
        config: {
          uri: '',
        },
      },
      (definition, extras) => ({
        ...definition,
      }),
    )
    .setClassMethodName('forRoot')
    .build();
